SDL_SetRenderViewport(3)

NAME
SDL_SetRenderViewport - Set the drawing area for rendering on the current target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetRenderViewport(SDL_Renderer *renderer, const SDL_Rect *rect);

DESCRIPTION
Drawing will clip to this area (separately from any clipping done with

SDL_SetRenderClipRect ), and the top left of the area will become coordinate (0, 0) for future drawing commands.

The area's width and height must be >= 0.

Each render target has its own viewport. This function sets the viewport for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    the SDL_Rect
     structure representing the drawing area, or NULL to set the viewport to the entire target.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetRenderViewport(3), •(3), SDL_RenderViewportSet(3)